Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 180893 - Do not load OptionalDeploymentManagerFactory when not really needed
Do not load OptionalDeploymentManagerFactory when not really needed
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Petr Hejl
issues@serverplugins
: API, API_REVIEW_FAST
Depends on: 148177
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 05:04 UTC by Petr Hejl
Modified: 2010-02-25 22:15 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
the patch (21.04 KB, patch)
2010-02-18 05:09 UTC, Petr Hejl
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2010-02-18 05:04:24 UTC
To further limit list of loaded classes coming from serverplugins. We should not load OptionalDeploymentManagerFactory.

In fact this means no instantiation it when finishServerInitialization is noop.
Comment 1 Petr Hejl 2010-02-18 05:08:21 UTC
Please review the api change. The patch is supposed to be applied to sources with applied changes from #148177.
Comment 2 Petr Hejl 2010-02-18 05:09:06 UTC
Created attachment 94282 [details]
the patch
Comment 3 Petr Jiricka 2010-02-18 06:30:03 UTC
Are we doing this just to avoid loading 5 classes on startup, when at the same time we load 4 new classes?
Comment 4 Petr Hejl 2010-02-18 06:36:28 UTC
*.glassfish.* classes were missing in the whitelist. Actually not related to the change, sorry for the confusion. Correct "rate" is 5/1.
Comment 5 Jaroslav Tulach 2010-02-18 11:01:26 UTC
Y01 A bit safer way to initialize in constructor is:

this.noInitializationFinish = Boolean.TRUE.equals(
  attributes.get("noInitializationFinish")
);

Y02 I like the change. It is compatible, safe and improves scalability of the infrastructure. Together with the other changes we are on good track to eliminate loading in any code of non-installed server plugins completely.
Comment 6 Petr Hejl 2010-02-19 03:04:06 UTC
Re Y01: Absolutely. I'll fix it before commit.
Comment 7 Petr Hejl 2010-02-24 00:59:41 UTC
I'll integrate the change tomorrow.
Comment 8 Petr Hejl 2010-02-25 01:44:35 UTC
Fixed in web-main 98591e9cd524.
Comment 9 Quality Engineering 2010-02-25 22:15:55 UTC
Integrated into 'main-golden', will be available in build *201002260200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/98591e9cd524
User: Petr Hejl <phejl@netbeans.org>
Log: #180893: Do not load OptionalDeploymentManagerFactory when not really needed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo